SoundSoftware Code Site - Feature #20
Automatically extract Doxygen documentation
2010-10-06 04:48 PM - Chris Cannam

Status: Closed Start date: 2011-01-27
Priority: High Due date:

Assignee: Chris Cannam % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

If a project has a Doxyfile in its repository, extract automatically and apply the Embedded plugin for it.

Subtasks:
Feature # 75: Make it possible to enable Embedded plugin from WS API

Closed

History

#1 - 2011-01-26 12:11 PM - Chris Cannam
- Priority changed from Normal to High

#2 - 2011-01-26 05:01 PM - Chris Cannam

Note, we need to be sure to update the local working copy before regenerating docs...

#3 - 2011-02-03 05:51 PM - Chris Cannam
- Status changed from New to In Progress

#4 - 2011-02-17 06:38 PM - Chris Cannam

Initial implementation committed as of commit:3c084a25d8ab

#5 - 2011-02-17 07:54 PM - Chris Cannam

Now live -- see for example https://code.soundsoftware.ac.uk/embedded/vamp-plugin-sdk/

We need to keep a close eye on this one, because there are limits to how far the ongoing procedure can be tested in staging.

#6 - 2011-02-17 07:54 PM - Chris Cannam

- Status changed from In Progress to Closed

(Closing the feature request, however.)

2025-04-05

1/1



https://code.soundsoftware.ac.uk/embedded/vamp-plugin-sdk/

